package speiger.src.coreengine.utils.io.dataTag.simple;

import speiger.src.coreengine.utils.io.dataTag.DataTag;

public interface PrimitiveTag extends DataTag
{
	public byte asByte();
	
	public short asShort();
	
	public int asInt();
	
	public long asLong();
	
	public float asFloat();
	
	public double asDouble();
}
